using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x70,"PMT")]
    [BannedTable("EIT")]
    class AdaptionFieldDataDescriptor : TsDescriptor
    {
        public AdaptionFieldDataDescriptor(byte[] buffer)
        {
            AdaptionFieldDataIdentifier = buffer[0];
        }

        public byte AdaptionFieldDataIdentifier { get; private set; }
    }
}
